org.deidentifier.arx.test

## Class AbstractAnonymizationTest

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.AbstractAnonymizationTest

Direct Known Subclasses:
  AbstractTestExecutionTime, TestAnonymizationBLikeness, TestAnonymizationCombinations, TestAnonymizationDifferentialPrivacy, TestAnonymizationDPresence, TestAnonymizationEntropyLDiversity, TestAnonymizationHeuristic, TestAnonymizationKAnonymity, TestAnonymizationKMap, TestAnonymizationLDiversity, TestAnonymizationLocalRecoding, TestAnonymizationOrderedDistanceTCloseness, TestAnonymizationProfitability, TestAnonymizationRiskBased, TestAnonymizationSubset, TestAnonymizationTCloseness, TestDomainShare, TestSolutionSpaceClassification2, TestUtilityMetricsLoss

    public abstract class AbstractAnonymizationTest
    extends AbstractTest

Test for data transformations.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

Nested Classes
`static class` `AbstractAnonymizationTest.ARXAnonymizationTestCase` Represents a test case.

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Field Summary

Fields
`org.junit.rules.TestName` `name` To access the test name

### Constructor Summary

Constructors
Constructor and Description
`AbstractAnonymizationTest(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)` Creates a new instance.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `getClassification(int[] classification)` Transforms it into a string representation.
`static Data` `getDataObject(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)` Returns the data object for the test case.
`void` `setUp()`
`void` `test()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public org.junit.rules.TestName name

To access the test name

### Constructor Detail

#### AbstractAnonymizationTest

    public AbstractAnonymizationTest(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)

Creates a new instance.

Parameters:
  `testCase` -

### Method Detail

#### getClassification

    public static java.lang.String getClassification(int[] classification)

Transforms it into a string representation.

Parameters:
  `classification` -
Returns:

#### getDataObject

    public static Data getDataObject(AbstractAnonymizationTest.ARXAnonymizationTestCase testCase)
                              throws java.io.IOException

Returns the data object for the test case.

Parameters:
  `testCase` -
Returns:
Throws:
  `java.io.IOException`

#### setUp

    public void setUp()

Overrides:
  `setUp` in class `AbstractTest`

#### test

    public void test()
              throws java.io.IOException

Throws:
  `java.io.IOException`